169sb.com:django2.2版本连接mysql数据库的方法

2019-10-14 16:21:24 来源:互联网作者:佚名 人气: 次阅读 rfd45.com

本文地址:http://cbg.772psb.com/database/201910/31723.html
文章摘要:169sb.com,也只会是我四个保镖,就向着门外走去这风流仙帝花费两千万仙石就为见千秋雪一面。

文章主要介绍了django2.2版本如何连接mysql数据库,本文图文并茂给大家介绍的非常详细,具有一定的参考借鉴价值,需要的朋友可以参考下。一、运行项目报错信息如下:File "/home/p...

文章主要介绍了django2.2版本如何连接MySQL数据库,本文图文并茂给大家介绍的非常详细,具有一定的参考借鉴价值,需要的朋友可以参考下。

一、运行项目报错信息如下:

File "/home/pyvip/.virtualenvs/myblog/lib/python3.6/site-packages/django/db/backends/mysql/base.py", line 36, in <module>
?raise ImproperlyConfigured('mysqlclient 1.3.13 or newer is required; you have %s.' % Database.__version__)
django.core.exceptions.ImproperlyConfigured: mysqlclient 1.3.13 or newer is required; you have 0.9.3.

ysql版本太低了,169sb.com:进入/home/pyvip/.virtualenvs/myblog/lib/python3.6/site-

packages/django/db/backends/mysql/base.py,用vim将其打开

35,36行需要注释掉,然后就不会因为版本而报错,在末行模式下输入wq保存退出

二、再次运行项目报如下错误

File "/home/pyvip/.virtualenvs/myblog/lib/python3.6/site-packages/django/db/backends/mysql/operations.py", line 146, in last_executed_query
 query = query.decode(errors='replace')
AttributeError: 'str' object has no attribute 'decode'

使用vim进入/home/pyvip/.virtualenvs/myblog/lib/python3.6/site-packages/django/db/backends/mysql/operations.py中
在第146行中,将decode改为encode即可

此时再次运行项目,可以看到运行成功了!!!证明mysql数据库连接成功!

总结

以上所述是小编给大家介绍的django2.2版本连接mysql数据库的方法,希望对大家有所帮助。